xoops forums

XavierS

Just popping in
Posted on: 2012/3/7 2:50
XavierS
XavierS (Show more)
Just popping in
Posts: 11
Since: 2012/3/7 1
#21

Re: XOOPS 2.5.5 Beta Issues

Hello
There is one bug in fresh install of 255B
file /install/page_configsave.php
Quote:

line 86 if (!@copy($rewrite['VAR_PATH'] . '/data/secure.dist.php', $rewrite['VAR_PATH'] . '/data/secure.php')) {
$error = ERR_COPY_MAINFILE.$rewrite['VAR_PATH'] . '/data/secure.dist.php';
} else {
clearstatcache();

$rewrite = array_merge($rewrite, $vars);

should be
Quote:

line 86 if (!@copy($vars['VAR_PATH'] . '/data/secure.dist.php', $vars['VAR_PATH'] . '/data/secure.php')) {
$error = ERR_COPY_MAINFILE.$vars['VAR_PATH'] . '/data/secure.dist.php';
} else {
clearstatcache();

$rewrite = array_merge($rewrite, $vars);

QED

XavierS

Just popping in
Posted on: 2012/3/7 3:33
XavierS
XavierS (Show more)
Just popping in
Posts: 11
Since: 2012/3/7 1
#22

Re: XOOPS 2.5.5 Beta Issues


Quote:
Quote:
I had an issue with the upgraded TinyEditor only loading in the 'Scoop' part of the News module and not in the 'Extended Text' part. It was an old version of News so may not affect newer versions, but perhaps worth checking.

Thanks!

Which version of News?

Can somebody else confirm it?



Hello Mamba
try this http://test.issy-ps.com/modules/TDMDo ... inglefile.php?cid=1&lid=1
TinyMCE don't like being instancied more than once
this file correct it

Peekay

XOOPS is my life!
Posted on: 2012/3/7 6:22
Peekay
Peekay (Show more)
XOOPS is my life!
Posts: 2335
Since: 2004/11/20
#23

Re: XOOPS 2.5.5 Beta Issues

Many thx for this XavierS.

I have not tested it yet, but this will be a critical change for anyone that uses the News module.
A thread is for life. Not just for Christmas.

jimmyx

Quite a regular
Posted on: 2012/3/7 8:49
jimmyx
jimmyx (Show more)
Quite a regular
Posts: 338
Since: 2007/7/17
#24

Re: XOOPS 2.5.5 Beta Issues

im using a working copy of the amevents module..

before this the module is working fine but in 2.5.5 beta i also have the problem of the day of calendar is up to 40 and also the selected date is not the same after an event is submitted

XavierS

Just popping in
Posted on: 2012/3/7 12:05
XavierS
XavierS (Show more)
Just popping in
Posts: 11
Since: 2012/3/7 1
#25

Re: XOOPS 2.5.5 Beta Issues

Quote:
by Peekay on 2012/3/7 12:22:27

Many thx for this XavierS.

I have not tested it yet, but this will be a critical change for anyone that uses the News module.

i'have tested on my testsite http://test.issy-ps.com (255beta) with news 1.66 utf8 from frxoops.com and it work well

Mamba

Moderator
Posted on: 2012/3/7 13:08
Mamba
Mamba (Show more)
Moderator
Posts: 10376
Since: 2004/4/23
#26

Re: XOOPS 2.5.5 Beta Issues

Quote:
Many thx for this XavierS.

Yes, thank you very much XavierS for testing and submitting fixes. I hope, more people will do the same!

Quote:
I have not tested it yet, but this will be a critical change for anyone that uses the News module.

For me TinyMCE and News 1.67 Beta work fine on XOOPS 2.5.5. Could you test 1.67 without the fix from XavierS, and then your old News version with his fix?

Can anybody else check your News version and XOOPS 2.5.5 Beta for the issue reported by Peekay:
Quote:
"TinyEditor only loading in the 'Scoop' part of the News module and not in the 'Extended Text' part. "


Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

Mamba

Moderator
Posted on: 2012/3/7 13:09
Mamba
Mamba (Show more)
Moderator
Posts: 10376
Since: 2004/4/23
#27

Re: XOOPS 2.5.5 Beta Issues

Quote:
im using a working copy of the amevents module..

Which version? This one seems to be outdated.

Where can we download it?
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

XavierS

Just popping in
Posted on: 2012/3/7 13:25
XavierS
XavierS (Show more)
Just popping in
Posts: 11
Since: 2012/3/7 1
#28

Re: XOOPS 2.5.5 Beta Issues

Quote:
Can anybody else check your News version and XOOPS 2.5.5 Beta for the issue reported by Peekay:
Quote:
"TinyEditor only loading in the 'Scoop' part of the News module and not in the 'Extended Text' part. "

It's not a bug of Xoops or TinyMCE
It's depend to the browser
Sometimes they accept 2 instanciation of TyniMCE
(one for scoop and a second one for extend text)
sometimes they don't
why?
cosmic ray is a good explication

my correction put the 2 fieldnames on one
tinyMCE.init({
theme:'advanced',
.....
elements:'hometext,bodytext',
....
});

Mamba

Moderator
Posted on: 2012/3/7 14:35
Mamba
Mamba (Show more)
Moderator
Posts: 10376
Since: 2004/4/23
#29

Re: XOOPS 2.5.5 Beta Issues

Quote:
It's not a bug of Xoops or TinyMCE
It's depend to the browser

Why would anybody use anything but Chrome?

OK, I got it now.

I've sent the links to your posts to the Core team, so hopefully it will make into the upcoming XOOPS 2.5.5 RC version.

Again, thanks for testing and providing fixes. I hope, more people will follow your example.

Too often, nobody does any tests and reports any bugs, then we believe that everything is OK, and when we release a version, then suddenly people start reporting bugs.
Please support XOOPS & DONATE
Use 2.5.8 | Debug | Requests | Bugs

redheadedrod

Home away from home
Posted on: 2012/3/7 21:57
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#30

Re: XOOPS 2.5.5 Beta Issues

Only chrome I have is on my bumper... ;)
Attending College working towards Bachelors in Software Engineering and Network Security.